# SolrQuery::__construct

(PECL solr >= 0.9.2)

SolrQuery::__construct — Constructor

### Description

public SolrQuery::__construct ([ string `$q` ] )

Constructor.

### Parameters

`q`

  Optional search query

### Return Values

None

### Errors/Exceptions

Emits SolrIllegalArgumentException in case of an invalid parameter was passed.

### Changelog

Version | Description
--- | ---
2.0.0 | If `q` was invalid, then a SolrIllegalArgumentException is now thrown. Previously an error was emitted.